Go Down

Topic: IDE on Buster errror installing esp32 board (Read 1 time) previous topic - next topic

vinc14

hello
i have a raspberry 4 with Buster, where the Arduino ide is installed and running.
i wish to add the esp32 board too

but when i do install got a error like this

Tool xtensa-esp32-elf-gcc is not available for your operating system.
java.lang.RuntimeException: java.lang.Exception: Tool xtensa-esp32-elf-gcc is not available for your operating system.
   at cc.arduino.contributions.packages.ui.ContributionManagerUI.lambda$onInstallPressed$2(ContributionManagerUI.java:175)
   at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.Exception: Tool xtensa-esp32-elf-gcc is not available for your operating system.
   at cc.arduino.contributions.packages.ContributionInstaller.install(ContributionInstaller.java:85)
   at cc.arduino.contributions.packages.ui.ContributionManagerUI.lambda$onInstallPressed$2(ContributionManagerUI.java:172)
   ... 1 more

any idea how to solve it?

pert

As you discovered, the ESP32 toolchain is not yet available for the Linux ARM host. There are plans to add support for Linux ARM eventually but it hasn't happened yet:
https://github.com/espressif/arduino-esp32/issues/2651

There is some information and links on that thread and the ones that link from it that would allow you to set this up on your own, but it will likely be quite challenging.

Go Up